QGIS Application - Bug report #20020
Geopackage avoid intersection allow no geometry
2018-10-05 04:23 AM - Lene Fischer

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Digitising

Affected QGIS version:3.3(master) Regression?: Yes
Operating System: Windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27842
Description

Digitizing or copy/paste in a geopackage layer with 'avoid intersection' on.
If | paste features in a polygon layer and one or more features with totally overlap (are duplicate) Geopackage allows insert in attribute
table without a geometry. Result: 'Could not commit changes to layer'

Associated revisions

Revision 08b6b606 - 2018-10-06 10:53 AM - Alessandro Pasotti

Show a warning when pasted feature geometry collapsed

... due to due to intersection avoidance

Features are still pasted but the user is warned.

Fixes #20020

History

#1 - 2018-10-05 05:29 PM - Alessandro Pasotti
- Status changed from Open to Feedback

I'm not sure about the expected behavior: when copy-pasting, | would expect that even if geometry is not compatible or it is nullified by the avoid

intersection filter, the attributes were copied successfully in the destination layer, in case | wanted to re-digitize or fix the geometries.

What do you think is the expected behavior in such a situation?

#2 - 2018-10-05 10:38 PM - Lene Fischer

While inserting a feature with no geometry | would like to get an errormessage just after the insertion, not wait untill I'll try to save - then | will know which

action that was wrong.

#3 - 2018-10-05 10:38 PM - Lene Fischer

- Status changed from Feedback to Open

#4 - 2018-10-06 10:01 AM - Alessandro Pasotti

2025-04-27 12




A warning message is actually a good idea, but do you agree with me that the feature(s) should be pasted anyway, even if the geometries are null/empty?

#5 - 2018-10-06 10:03 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#6 - 2018-10-06 10:45 AM - Giovanni Manghi

- Category changed from Geometry to Digitising

Why this was tagged a regression? is the behavior in 2.18 different?

#7 - 2018-10-06 10:55 AM - Alessandro Pasotti
- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/8125

#8 - 2018-10-09 08:39 AM - Anonymous
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|08b6b6065a6c0aea8302b68739a5e8d902febal.

#9 - 2018-10-09 08:54 AM - Lene Fischer

Thanks :-)
